---
title: AudioContext.createWaveTable()
slug: Web/API/AudioContext/createWaveTable
tags:
  - API
  - AudioContext
  - Method
  - Obsolete
  - Reference
  - Web Audio API
  - createWaveTable
---
<div>{{APIRef("Web Audio API")}}{{Obsolete_header}}</div>

<p><span class="seoSummary">The {{domxref("AudioContext")}} method <code><strong>createWaveTable()</strong></code> is now <em>obsolete</em>; you should instead use the method {{domxref("BaseAudioContext.createPeriodicWave", "createPeriodicWave()")}}.</span> It was the older method for creating a periodic waveform.</p>
